// adventure.js
// client-side code for adventure AJAX demo

(function() {  // setup local scope

    var getRoom = function() {
	$.getJSON("/getContents", function(room) {
	    var exits;
	    $('#title').replaceWith('<h1 id="title">'+room.title+'</h1>');
	    $('#description').replaceWith('<p id="description">' +
					  room.description + '</p>');
	    $('.exits').remove();
	    room.roomExits.forEach(function(theExit) {
		$('#exitList').append(
		    '<button type="button" id="' + theExit +
			'" class="btn btn-default exits">'
			+ theExit + '</button>');
		$('#'+theExit).on('click', function() {
		    $.post("/doAction", {action: "move",
					 room: theExit});
		    getRoom();
		});
	    });
	});	
    }

    $(window).load(getRoom());

})(); // finish setting up local scope (call function defined)
